postgresql-9.4-plsh_1.20140221-2_i386.deb


Advertisement

Description

postgresql-9.4-plsh - PL/sh procedural language for PostgreSQL 9.4

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name postgresql-9.4-plsh
Package version 1.20140221
Package release 2
Package architecture i386
Package type deb
Installed size 24 B
Download size 12.58 KB
Official Mirror ftp.br.debian.org
PL/sh enables an SQL developer to write procedural language functions
for PostgreSQL 9.4 in a shell of his choice.  You need this package
if you have any PostgreSQL 9.4 functions that use the language plsh.
PostgreSQL is an object-relational SQL database management system.

Alternatives

Package Version Architecture Repository
postgresql-9.4-plsh_1.20140221-2_amd64.deb 1.20140221 amd64 Debian Main
postgresql-9.4-plsh - - -

Requires

Name Value
libc6 >= 2.4
postgresql-9.4 -

Download

Type URL
Binary Package postgresql-9.4-plsh_1.20140221-2_i386.deb
Source Package postgresql-plsh

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install postgresql-9.4-plsh deb package:
    # sudo apt-get install postgresql-9.4-plsh

Files

Path
/usr/lib/postgresql/9.4/lib/plsh.so
/usr/share/doc/postgresql-9.4-plsh/README.md.gz
/usr/share/doc/postgresql-9.4-plsh/changelog.Debian.gz
/usr/share/doc/postgresql-9.4-plsh/copyright
/usr/share/postgresql/9.4/extension/plsh--1--2.sql
/usr/share/postgresql/9.4/extension/plsh--2.sql
/usr/share/postgresql/9.4/extension/plsh--unpackaged--1.sql
/usr/share/postgresql/9.4/extension/plsh.control

Changelog

2014-07-25 - Christoph Berg <myon@debian.org>
postgresql-plsh (1.20140221-2) unstable; urgency=medium
* Rebuild for 9.4.
* Set team as maintainer.
2014-02-25 - Christoph Berg <myon@debian.org>
postgresql-plsh (1.20140221-1) unstable; urgency=medium
* New upstream release including a fix for CVE-2014-0061.
2014-02-14 - Christoph Berg <myon@debian.org>
postgresql-plsh (1.20130823-2) unstable; urgency=low
* Patch tests/init.sql to use CREATE EXTENSION instead of sourcing the build
tree's plsh.sql. Thanks to Martin Pitt for the initial patch.
* Use the new pg_buildext installcheck from pg-server-dev 153.
* Support all PostgreSQL versions.
* Update debian/rules to use dh.
2013-09-17 - Christoph Berg <myon@debian.org>
postgresql-plsh (1.20130823-1) unstable; urgency=low
* New upstream release on github with CREATE EXTENSION support.
* Use "9.1+" in debian/pgversions and B-D on pg-server-dev-all 148.
(8.4 and 9.0 are not patched yet for improved VPATH build support.)
* Add autopkgtest support.
* Repository moved to git.
2011-08-24 - Christoph Berg <myon@debian.org>
postgresql-plsh (1.3-5) unstable; urgency=low
* Rebuild for PostgreSQL 9.1.
* Use debian/control.in.
2011-04-21 - Christoph Berg <myon@debian.org>
postgresql-plsh (1.3-4) unstable; urgency=low
* New maintainer.
* Convert to 3.0 (quilt).
* Added support for PostgreSQL 9.0.
* Converted build to use pg_buildext.
* Section: database.
2009-12-15 - Filipe Lautert <filipe@debian.org>
postgresql-plsh (1.3-3) unstable; urgency=low
* Problem building from source when using bash instead of dash -
solved adding patch number 004 (a simple ./ in front of a source...)
Closes: #561168 .
2009-12-13 - Filipe Lautert <filipe@debian.org>
postgresql-plsh (1.3-2) unstable; urgency=low
* Added support for PostgreSQL 8.4 (closes: #559598).
* Dropped support for PostgreSQL 8.3 as it will not be in Squeeze.
2008-03-26 - Filipe Lautert <filipe@icewall.org>
postgresql-plsh (1.3-1) unstable; urgency=low
* New upstream version.
* Now package generates inclusion path for script createlang_pgplsh.sql
instead of upstream Makefile (closes: #445212).
* Added header fields: Vcs-Svn, Vcs-Browser and Homepage.
* Added support for PostgreSQL 8.3.
* Dropped support for PostgreSQL 8.2 as it will not be in Lenny.
2007-05-02 - Filipe Lautert <filipe@icewall.org>
postgresql-plsh (1.2-2) unstable; urgency=low
* Added support for PostgreSQL 8.2.
* Changed PGCONFIG variable in debian/rules to PG_CONFIG, so now it works (closes: #420288).
* Dropped support for PostgreSQL 8.1 and 7.4 (closes: #422013).
* Corrected path for plsh create script in Debian.README.

See Also

Package Description
postgresql-9.4-plv8_1.4.2.ds-2+deb8u1_i386.deb Procedural language interface between PostgreSQL and JavaScript
postgresql-9.4-postgis-2.1-scripts_2.1.4+dfsg-3_all.deb PostGIS for PostgreSQL 9.4 -- scripts -- dummy package
postgresql-9.4-postgis-2.1_2.1.4+dfsg-3_i386.deb Geographic objects support for PostgreSQL 9.4
postgresql-9.4-postgis-scripts_2.1.4+dfsg-3_all.deb Geographic objects support for PostgreSQL 9.4 -- scripts
postgresql-9.4-prefix_1.2.3-3_i386.deb Prefix Range module for PostgreSQL
postgresql-9.4-preprepare_0.7-2_i386.deb pre prepare your PostgreSQL statements server side
postgresql-9.4-python-multicorn_1.0.4-1_i386.deb multicorn extension for Postgres 9.4 to write FDWs with python2
postgresql-9.4-python3-multicorn_1.0.4-1_i386.deb multicorn extension for Postgres 9.4 to write FDWs with python3
postgresql-9.4-repmgr_2.0-3_i386.deb replication manager support modules for PostgreSQL 9.4
postgresql-9.4-slony1-2_2.2.3-1_i386.deb replication system for PostgreSQL: PostgreSQL 9.4 server plug-in
postgresql-9.4_9.4.18-0+deb8u1_i386.deb object-relational SQL database, version 9.4 server
postgresql-autodoc_1.40-3_all.deb Utility to create a PostgreSQL database schema overview in HTML, DOT and XML
postgresql-client-9.4_9.4.18-0+deb8u1_i386.deb front-end programs for PostgreSQL 9.4
postgresql-client-common_165+deb8u3_all.deb manager for multiple PostgreSQL client versions
postgresql-client_9.4+165+deb8u3_all.deb front-end programs for PostgreSQL (supported version)
Advertisement
Advertisement